package com.madeu.dao.web.webmedicine;

import org.mybatis.spring.SqlSessionTemplate;
import org.mybatis.spring.support.SqlSessionDaoSupport;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.dao.DataAccessException;
import org.springframework.stereotype.Repository;

import jakarta.annotation.PostConstruct;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Repository
public class WebMedicineSqlMapDAO extends SqlSessionDaoSupport{

	@Autowired
	private SqlSessionTemplate sqlSessionTemplate;

	@PostConstruct
	void init() {
		setSqlSessionTemplate(sqlSessionTemplate);
	}
	
	/**
	 * 약품 조회 (List, option)
	 * 
	 * @param Map
	 * @return
	 * @throws DataAccessException 
	 */
	public List<Map<String, Object>> selectListMedicineOption(HashMap<String, Object> paramMap)
			throws DataAccessException {
		logger.debug("WebMedicineSqlMapDAO selectListMedicineOption START");
		String sqlId = "WebMedicine.selectListMedicineOption";
		logger.debug("WebMedicineSqlMapDAO selectListMedicineOption END");
		return getSqlSession().selectList(sqlId, paramMap);
	}
	
}
